changeset 1037:38b8060cdf24

feat: install recent mercurial
author Zeger Van de Vannet <zeger@vandevan.net>
date Sun, 16 Jun 2024 20:25:12 +0200
parents 31351132efca
children 6ab26ddbf78d
files .chezmoiscripts/run_onchange_after_17-install-mercurial.sh.tmpl
diffstat 1 files changed, 19 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_17-install-mercurial.sh.tmpl	Sun Jun 16 20:25:12 2024 +0200
@@ -0,0 +1,19 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu")) -}}
+{{ $version := "6.7.4" -}}
+#!/usr/bin/env bash
+
+set -xe
+
+sudo apt install --yes clang rustc cargo python3-dev python3-setuptools python3-docutils python3-pip
+
+curl -fsSL https://foss.heptapod.net/mercurial/mercurial-devel/-/archive/{{ $version }}/mercurial-devel-{{ $version }}.tar.gz | tar xz -C /tmp
+cd /tmp/mercurial-devel-{{ $version }}
+
+mkdir -p $HOME/mercurial
+
+$HOME/bin/mise exec [email protected] -- pip install docutils
+$HOME/bin/mise exec [email protected] [email protected] -- make PURE=--rust install-home
+$HOME/bin/mise exec [email protected] [email protected] -- pip install --upgrade hg-evolve~=11.1.3 hg-git~=1.1.2 mercurial_keyring~=1.4.4
+
+
+{{ end }}